body a {
  cursor: pointer;
}

[v-cloak] {
  display: none;
}

.hidden {
  display: none;
}

#app {
  padding: 0 1rem;
  margin-bottom: 3rem;
}

nav li.logo h1 {
  margin: 0;
}

nav li.version {
  text-align: right;
  font-size: small;
}

details p > * {
  margin-right: 1rem;
}

details .edit-link {
  margin-left: 1rem;
  float: right;
}

details pre {
  padding: 0.5rem;
  white-space: pre-wrap;
}

#filters > div {
  margin: 0 1rem 1rem 0;
  display: inline-block;
}

#filters input[type="search"] {
  width: unset;
  margin: 0;
}

#filters .hidden {
  display: none;
}

div.error {
  display: flex;
  margin-top: 1rem;
  justify-content: space-between;
  border: 1px solid red;
  border-radius: 0.25rem;
  padding: 0.75rem 1rem;
}

div.error p {
  margin: 0;
  color: red;
}

div.message {
  display: flex;
  margin-top: 1rem;
  justify-content: space-between;
  border: 1px solid forestgreen;
  border-radius: 0.25rem;
  padding: 0.75rem 1rem;
}

div.message p {
  margin: 0;
  color: forestgreen;
}

div.error button,
div.message button {
  display: block;
  width: 1rem;
  height: 1rem;
  border: 0;
  padding-right: 0;
  background-image: var(--pico-icon-close);
  background-position: center;
  background-size: auto 1rem;
  background-repeat: no-repeat;
  background-color: transparent;
}

#login-page {
  margin-top: 1rem;
}

#login-page button[type="submit"],
#import-page button[type="submit"],
#export-page button[type="submit"],
#sync-page button[type="submit"] {
  margin-top: 1em;
}

#list-page dialog code {
  margin-right: 1rem;
  font-size: larger;
}

#list-page dialog progress {
  margin-top: var(--pico-spacing);
}

#entry-notes {
  height: 10rem;
}

#entry-page .grid {
  grid-row-gap: 0;
}
